Name:           erlang-esdl
Version:        1.0.1
Release:        5%{?dist}
Summary:        Erlang OpenGL/SDL API and utilities

Group:          Development/Libraries
License:        MIT
URL:            http://esdl.sourceforge.net
Source0:	http://download.sourceforge.net/esdl/esdl-%{version}.src.tar.gz
Patch0:		esdl-CFLAGS.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	erlang
BuildRequires:	dos2unix
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-stdlib
Provides:	esdl = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.0.1-2


%description
A library that gives you access to SDL and OpenGL functionality in
your Erlang program.


%define erlangdir %{_libdir}/erlang

%prep
%setup -q -n esdl-%{version}
%patch0 -p0 -b .cflags
chmod 0644 Readme license.terms
find -type f -name '*.[eh]rl' -exec chmod 0644 {} \;
find -type f -name '*.[ch]' -exec chmod 0644 {} \;
find -type f -name '*.[eh]rl' | xargs dos2unix
find -type f -name '*.[ch]' | xargs dos2unix
dos2unix Readme


%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{erlangdir}/lib
make INSTALLDIR=$RPM_BUILD_ROOT%{erlangdir}/lib/esdl-%{version} install
find . -name '*.html' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name 'Readme*' | xargs rm -f
find $RPM_BUILD_ROOT%{erlangdir}/lib -name 'license*' | xargs rm -f
find $RPM_BUILD_ROOT%{erlangdir}/lib -name '*.beam' | xargs chmod 0644
find $RPM_BUILD_ROOT%{erlangdir}/lib -name doc | xargs rm -fr
rm -f $RPM_BUILD_ROOT%{erlangdir}/lib/esdl-%{version}/vsn.mk
rm -rf $RPM_BUILD_ROOT%{erlangdir}/lib/esdl-%{version}/c_src
rm -rf $RPM_BUILD_ROOT%{erlangdir}/lib/esdl-%{version}/src/*.erl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Readme license.terms
%dir %{erlangdir}/lib/esdl-%{version}
%{erlangdir}/lib/esdl-%{version}/ebin
%{erlangdir}/lib/esdl-%{version}/include
%{erlangdir}/lib/esdl-%{version}/priv
%{erlangdir}/lib/esdl-%{version}/src


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-4
- Rebuild with new Erlang/OTP R14A
- Small typo in %%changelog was fixed

* Thu Jun 24 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-3
- Fix building on x86_64

* Wed Jun 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-2
- Rebuild
- Narrowed explicit requires
- No longer mention exact erlang's version in (Build)Requires
- Drop *-devel subpackage (includes moved to main package)
- Use Fedora-specific CFLAGS
- Fixed DOS line endings and permissions

* Tue Aug 11 2009 Gerard Milmeister <gemi@bluewin.ch> - 1.0.1-1
- new release 1.0.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.0626-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.0626-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.96.0626-4
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.96.0626-3
- Autorebuild for GCC 4.3

* Mon Dec 10 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.96.0626-2
- rebuild for erlang R12B

* Sun Apr  8 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.96.0626-1
- new version 0.96.0626

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-8
- Rebuild for FE6

* Wed Jun  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-7
- revert to use erlang R10B

* Thu May 18 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-6
- rebuilt for erlang R11B-0

* Tue Apr 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-4
- removed c_src directory

* Mon Apr 24 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-3
- renamed package to erlang-esdl

* Mon Apr 24 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-2
- split off devel package

* Thu Sep  8 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.95.0630-1
- New Version 0.95.0630

* Sun Mar  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.94.1025-1
- New Version 0.94.1025

* Sat Jul 17 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.94.0615-0.fdr.1
- New Version 0.94.0615

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.94.0125-0.fdr.1
- First Fedora release
